% Demo code to find the diadem score
% Input file1 : The ground truth .swc file
% Input file2: The trace .swc file
% Run from here to get the DIADEM score for examples given under
% swc folder.
addpath_recurse;
weight=zeros(8,1);
for i=1:8
    swc=load(['swc/1_' num2str(i) '.swc']);
    weight(i)=size(swc,1);
end
weight=weight/(sum(weight));

score=zeros(8,1);
for i=1:8
    file1=['../../swc/1_' num2str(i) '.swc'];
    file2=['../../swc/1_' num2str(i) 'trace.swc'];
    score(i)=function_calculate_diadem_score(file1,file2);  
end

final_score=weight'*score;
fprintf('\n DIADEM Score: %f\n',final_score);