% function for finding root points
% vessles
% branches
%roots
%leaf_points

function [terminals,leaf_point]=function_find_leafpoint(vessels,branches,roots)

full_img=vessels+branches>0;
neighbour_count = imfilter(uint8(full_img), ones(3));
bw_ends = neighbour_count <= 2 & full_img;
[x,y]=find(bw_ends==1);
terminals=[];
for i=1:length(x)
    if vessels(x(i),y(i))~=0
        terminals=[terminals;x(i),y(i)];
    end
end
leaf_point=setdiff(terminals,roots,'rows');
end