function pairAngle=function_find_pairangle(Node)

[adj]=build_adj(Node);

%%Build the potential function
pairAngle = zeros(size(adj));
[adj_x , adj_y] = find(adj);
punishMatrix = zeros(size(adj));
for i = 1:length(adj_x)
    if(adj_x(i)>adj_y(i)) %avoid repeat
        continue;
    end
    for j=1:length(Node(adj_x(i)).Clique)
        if any(Node(adj_x(i)).Clique(j).ConnectID == Node(adj_y(i)).id)
            angle1 = Node(adj_x(i)).Clique(j).Orientation;
            if length(Node(adj_x(i)).Clique(j).ConnectID)<=2 % when the branch has only 2 or 3 edges, we have different plans
                punishMatrix(adj_x(i),adj_y(i))=1;
            end
            break;
        end
    end
    for j=1:length(Node(adj_y(i)).Clique)
        if any(Node(adj_y(i)).Clique(j).ConnectID == Node(adj_x(i)).id)
            angle2 = Node(adj_y(i)).Clique(j).Orientation;
            break;
        end
    end
    if abs(angle1-angle2) < pi
        pairAngle(adj_x(i),adj_y(i)) = abs(angle1-angle2);
    else
        pairAngle(adj_x(i),adj_y(i)) = pi*2 - abs(angle1-angle2);
    end
end

pairAngle = pairAngle + pairAngle';

end