%Finding the connecting points of each junction and their center

function node_diadem=function_node_diadem(conn_num,nodesegment)

%conn_num=bwlabel(Connections);
img1=nodesegment>0;
node_diadem=cell(0,0);
for i=1:max(max(conn_num))
    %i=23
    [id_x,id_y]=find(conn_num==i);
    conn_pixels=[];
    for j=1:length(id_x)
        [no nei]=numofneighbours(id_x(j),id_y(j),img1);

        if ~isempty(nei)
            conn_pixels=[conn_pixels;nei];
        end
    end
    node_diadem{i}.conn_pixels=conn_pixels;
    cent=[];
    if ~isempty(conn_pixels) && size(conn_pixels,1)>1
        cent=round(mean(conn_pixels));
    end
    node_diadem{i}.cent=cent;
end
