% Function to create ground truth swc from gt image file
function [swc_mat,c]=function_swc_from_gt(nodesegment,conn_num,node_diadem,conn_nodes,order,pred,dt,single_root,c)

swc_mat=[];

last_point=zeros(length(pred),2);
for i=1:length(pred)
    if pred(order(i))~=0
        group=[order(i),pred(order(i))];
        junc=0;
        for j=1:length(conn_nodes)
            ids=conn_nodes{j}.ids;
            if length(intersect(ids,group))==2
                junc=j;break;
            end
        end
        if junc==0
            fprintf('\nError in code..exiting\n');
            return;
        end
        
        conn_pixels=node_diadem{junc}.conn_pixels;
        for j=1:size(conn_pixels,1)
            xx=conn_pixels(j,1);
            yy=conn_pixels(j,2);
            num=0;
            if nodesegment(xx,yy)==pred(order(i))
                num=j;
                break
            end
        end
        if num==0
            fprintf('\nError in code..exiting\n');
            break;
        end
        last_point(order(i),:)=conn_pixels(num,:);
    else
        continue;
    end
end

swc_mat=[];
c11=0;
for i=1:length(order)
    
    if dt(order(i))~=-1
        thisnode=nodesegment==order(i);
        c11=c11+1;
        if c11==1
            %c=1;
            c1=-1;
            first_point=single_root;
            [swc_mat_seg,c]=function_swc_seg(thisnode,first_point,c,c1);
            swc_mat=[swc_mat;swc_mat_seg];
        else
            lastpoint=last_point(order(i),:);
            neighbour_count = imfilter(uint8(thisnode), ones(3));
            bw_ends = neighbour_count == 2 & thisnode;
            [co_x,co_y]=find(bw_ends~=0);
            dist_points(1)=dist(lastpoint,[co_x(1) co_y(1)]');%dist.m is used to calculate the Eculidean distance between lastpoint and [co_x(1) co_y(1)]'
            dist_points(2)=dist(lastpoint,[co_x(2) co_y(2)]');
            [dummy,ind]=min(dist_points);
            next_point=[co_x(ind) co_y(ind)];
            all_points=swc_mat(:,3:4);
            c_val=find(ismember(all_points,lastpoint,'rows'));
            c1=c_val;
            [swc_mat_seg,c]=function_swc_seg(thisnode,next_point,c+1,c1);
            swc_mat=[swc_mat;swc_mat_seg];
        end
    end
end


end

