%group the points based on the locations
%works with four points

function [group,point]=group_points(co_or)
min_x=min(co_or(:,1));max_x=max(co_or(:,1));
min_y=min(co_or(:,2));max_y=max(co_or(:,2));
group_1=[co_or(1,:);co_or(2,:);co_or(3,:);co_or(4,:)];
group_2=[co_or(1,:);co_or(3,:);co_or(2,:);co_or(4,:)];
group_3=[co_or(1,:);co_or(4,:);co_or(2,:);co_or(3,:)];
K1=1;K3=1;point_1=group_1(1,:);point_2=group_1(2,:);point_3=group_1(3,:);point_4=group_1(4,:);
K2=-((point_1(1)-point_2(1))/(point_1(2)-point_2(2)+0.0001));C1=point_1(1)-point_1(2)*((point_1(1)-point_2(1))/(point_1(2)-point_2(2)+0.0001));
K4=-((point_3(1)-point_4(1))/(point_3(2)-point_4(2)+0.0001));C2=point_3(1)-point_3(2)*((point_3(1)-point_4(1))/(point_3(2)-point_4(2)+0.0001));
K=[K1,K2;K3,K4];
C=[C1;C2];

    X1=(K^-1)*C;


point_1=group_2(1,:);point_2=group_2(2,:);point_3=group_2(3,:);point_4=group_2(4,:);
K2=-((point_1(1)-point_2(1))/(point_1(2)-point_2(2)+0.0001));C1=point_1(1)-point_1(2)*((point_1(1)-point_2(1))/(point_1(2)-point_2(2)+0.0001));
K4=-((point_3(1)-point_4(1))/(point_3(2)-point_4(2)+0.0001));C2=point_3(1)-point_3(2)*((point_3(1)-point_4(1))/(point_3(2)-point_4(2)+0.0001));
K=[K1,K2;K3,K4];
C=[C1;C2];

    X2=(K^-1)*C;


point_1=group_3(1,:);point_2=group_3(2,:);point_3=group_3(3,:);point_4=group_3(4,:);
K2=-((point_1(1)-point_2(1))/(point_1(2)-point_2(2)+0.0001));C1=point_1(1)-point_1(2)*((point_1(1)-point_2(1))/(point_1(2)-point_2(2)+0.0001));
K4=-((point_3(1)-point_4(1))/(point_3(2)-point_4(2)+0.0001));C2=point_3(1)-point_3(2)*((point_3(1)-point_4(1))/(point_3(2)-point_4(2)+0.0001));
K=[K1,K2;K3,K4];
C=[C1;C2];

    X3=(K^-1)*C;


if (X1(1)>min_x&&X1(1)<max_x&&X1(2)>min_y&&X1(2)<max_y)
    point=X1;group=[1 2 3 4];
    
elseif(X2(1)>min_x&&X2(1)<max_x&&X2(2)>min_y&&X2(2)<max_y)
    point=X2;group=[1 3 2 4];
    
else
    point=X3;group=[1 4 2 3];
end

end
